POST
/v1/mgmt/thirdparty/app/secret/addAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
id?string
name?string
expireTime?integer
Format
int32Add a new named client secret to a third party application, using a valid management key. Returns the new secret metadata and its cleartext value (shown only once).
curl -X POST "https://api.descope.com/v1/mgmt/thirdparty/app/secret/add" \ -H "Content-Type: application/json" \ -d '{}'{ "meta": { "id": "string", "name": "string", "status": "string", "expireTime": 0, "createdTime": 0 }, "cleartext": "string"}export interface Response {meta?: {id?: stringname?: stringstatus?: stringexpireTime?: numbercreatedTime?: number}cleartext?: string} Was this helpful?
Batch delete third party applications POST
Delete multiple third party applications in batch, using a valid management key.
Create third party application (v2) POST
Create a new third party application using the structured scope-claim mapping model, using a valid management key. The legacy attributesScopes field is ignored.